| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Functions
profile.h File Reference
`#include <glib.h>`

Go to the source code of this file.

## Classes
struct | profile_def

## Macros
#define | PROF_STAT_DEFAULT 1
#define | PROF_STAT_EXISTS 2
#define | PROF_STAT_NEW 3
#define | PROF_STAT_CHANGED 4
#define | PROF_STAT_COPY 5
#define | PROF_STAT_IMPORT 6

## Functions
void | init_profile_list (void)
GList * | add_to_profile_list (const char *name, const char *parent, int status, bool is_global, bool from_global, bool is_import)
void | copy_profile_list (void)
void | empty_profile_list (bool edit_list)
void | remove_from_profile_list (GList *fl_entry)
GList * | current_profile_list (void)
GList * | edited_profile_list (void)
char * | apply_profile_changes (void)
const char * | get_profile_parent (const char *profilename)
char * | profile_name_is_valid (const char *name)
bool | delete_current_profile (void)

## Detailed Description

Definitions for dialog box for profiles editing. Stig Bjorlykke stig@.nosp@m.bjor.nosp@m.lykke.nosp@m..org, 2008

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

"Configuration Profiles" dialog box

"Configuration Profiles" utility routines

## Function Documentation

## ◆ add_to_profile_list()

GList * add_to_profile_list | ( | const char * | name,
|  | const char * | parent,
|  | int | status,
|  | bool | is_global,
|  | bool | from_global,
|  | bool | is_import
| ) |  |

User requested the "Configuration Profiles" popup menu.

Parameters

  name | Profile name
  parent | Parent profile name
  status | Current status
  is_global | Profile is in the global configuration directory
  from_global | Profile is copied from the global configuration directory
  is_import | Profile has been imported and no directory has to be created

Returns
  A pointer to the new profile list

## ◆ apply_profile_changes()

char * apply_profile_changes | ( | void |  | ) |

Apply the changes in the edited profile list

Returns
  NULL if the operation was successful or an error message otherwise. The error message must be freed by the caller.

## ◆ copy_profile_list()

void copy_profile_list | ( | void |  | ) |

Refresh the current (non-edited) profile list.

## ◆ current_profile_list()

GList * current_profile_list | ( | void |  | ) |

Current profile list

Returns
  The head of the current profile list

## ◆ delete_current_profile()

bool delete_current_profile | ( | void |  | ) |

Remove the current profile.

Returns
  true if the current profile exists and was successfully deleted or false otherwise.

## ◆ edited_profile_list()

GList * edited_profile_list | ( | void |  | ) |

Edited profile list

Returns
  The head of the edited profile list

## ◆ empty_profile_list()

void empty_profile_list | ( | bool | edit_list | ) |

Clear out the profile list

Parameters

  edit_list | Remove edited entries

## ◆ get_profile_parent()

const char * get_profile_parent | ( | const char * | profilename | ) |

Given a profile name, return the name of its parent profile.

Parameters

  profilename | Child profile name

Returns
  Parent profile name

## ◆ init_profile_list()

void init_profile_list | ( | void |  | ) |

Initialize the profile list. Can be called more than once.

## ◆ profile_name_is_valid()

char * profile_name_is_valid | ( | const char * | name | ) |

Check the validity of a profile name.

Parameters

  name | Profile name

Returns
  NULL if the name is valid or an error message otherwise.

## ◆ remove_from_profile_list()

void remove_from_profile_list | ( | GList * | fl_entry | ) |

Remove an entry from the profile list.

Parameters

  fl_entry | Profile list entry